# Constant Field Values

## de.javawi.*

de.javawi.jstun.attribute.MessageAttributeInterface
Modifier and Type
Constant Field
Value
`public static final int`
`CHANGEDADDRESS`
`5`
`public static final int`
`CHANGEREQUEST`
`3`
`public static final int`
`DUMMY`
`0`
`public static final int`
`ERRORCODE`
`9`
`public static final int`
`MAPPEDADDRESS`
`1`
`public static final int`
`MESSAGEINTEGRITY`
`8`
`public static final int`
`PASSWORD`
`7`
`public static final int`
`REFLECTEDFROM`
`11`
`public static final int`
`RESPONSEADDRESS`
`2`
`public static final int`
`SOURCEADDRESS`
`4`
`public static final int`
`UNKNOWNATTRIBUTE`
`10`
`public static final int`
`USERNAME`
`6`

de.javawi.jstun.header.MessageHeaderInterface
Modifier and Type
Constant Field
Value
`public static final int`
`BINDINGERRORRESPONSE`
`273`
`public static final int`
`BINDINGREQUEST`
`1`
`public static final int`
`BINDINGRESPONSE`
`257`
`public static final int`
`SHAREDSECRETERRORRESPONSE`
`274`
`public static final int`
`SHAREDSECRETREQUEST`
`2`
`public static final int`
`SHAREDSECRETRESPONSE`
`258`